/* set and read DAC Pallette using INT 10H calls */

#include <dos.h>
#include "graphics.h"

#define   VIDEO_INT    0x10   /* BIOS INT10 Video services */
#define   DAC_PALLETTE  0x10 /* DAC Pallette, INT 10       */
#define   SET_DAC  0x10      /* Write mode of DAC color register */
#define   READ_DAC 0x15      /* read mode of DAC color register */

union REGS inregs, outregs;

SetAnalogHue(r,g,b,index)
int r, g, b, index;
     {
          inregs.h.ah = DAC_PALLETTE;
          inregs.h.al = SET_DAC;
          inregs.x.bx = index;
          inregs.h.ch = g;
          inregs.h.cl = b;
          inregs.h.dh = r;
          int86(VIDEO_INT, &inregs, &outregs);
     }

ReadAnalogHue(r, g, b, index )
int *r, *g, *b, index;
     {
          inregs.h.ah = DAC_PALLETTE;
          inregs.h.al = READ_DAC;
          inregs.x.bx = index;
          int86(VIDEO_INT, &inregs, &outregs);
          *g = outregs.h.ch;
          *b = outregs.h.cl;
          *r = outregs.h.dh;
     }


